openmemory
Docs
Actions

Get one action

GET
/v1/actions/{id}

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

id*string

Short action id, e.g. A7

Length1 <= length <= 32

Response Body

The action

application/json
  1. response
id*string
class*string
summary*string
payload*
payload_hash*string
preconditions*array<unknown>
meta*
idempotency_key*string
status*ActionStatus
Value in"pending""approved""executing""done""failed""denied""expired""superseded""blocked"
receipt*|null
expires_at*string|null
created_at*string
updated_at*string
Example Request
curl -X GET 'https://api.openmemory.sh/v1/actions/string'
Example Response
{  "id": "string",  "class": "string",  "summary": "string",  "payload": {    "property1": null,    "property2": null  },  "payload_hash": "string",  "preconditions": [    null  ],  "meta": {    "property1": null,    "property2": null  },  "idempotency_key": "string",  "status": "pending",  "receipt": {    "property1": null,    "property2": null  },  "expires_at": "string",  "created_at": "string",  "updated_at": "string"}